Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4539 - mkswap fails on cylinders past 1024.
Summary: mkswap fails on cylinders past 1024.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-15 22:38 UTC by michaeloqu
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description michaeloqu 1999-08-15 22:38:40 UTC
On a 2 GB /dev/hdb, mkswap fails on any partition located
past the 1024 cylinder boundary.  The error given by mkswap
is "mkswap: error: swap area needs to be at least 40kB".

This does not seem to be affected by the ordering of the
partitions in the partition tables, nor by whether the
partition has been created as a primary partition or an
extended partition.  I have not been able to confirm that
the 1024th cylinder is the exact Magic Breaking Point.
(Currently, abusing that particular location of that
particular disk would most decidedly break my machine
altogether, since it is right in the middle of a huge /usr
-- right now I would have to do a complete reinstall)  I
_have_ observed that placing a swap partition low works,
but high (around cylinder 1600 on this disk) breaks mkswap.

Comment 1 Florian La Roche 2000-08-08 12:03:55 UTC
this seems to work without any problems for me. Please reopen with more
information this this
still fails with newer Red Hat releases.




Note You need to log in before you can comment on or make changes to this bug.